diff -ruN vdr-1.3.30/channels.conf vdr-1.3.31/channels.conf
--- vdr-1.3.30/channels.conf	2005-08-21 16:21:34.000000000 +0200
+++ vdr-1.3.31/channels.conf	2005-08-28 16:30:35.000000000 +0200
@@ -5,18 +5,18 @@
 Das Erste;ARD:11836:hC34:S19.2E:27500:101:102=deu:104:0:28106:1:1101:0
 Bayerisches FS;ARD:11836:hC34:S19.2E:27500:201:202=deu:204:0:28107:1:1101:0
 hr-fernsehen;ARD:11836:hC34:S19.2E:27500:301:302=deu:304:0:28108:1:1101:0
-NDR FS MV;ARD:12109:hC34:S19.2E:27500:2401:2402=deu:2404:0:28224:1:1073:0
+NDR FS MV;ARD:12109:hC34:S19.2E:27500:301:302=deu:2404:0:28224:1:1073:0
 SR SÜDWEST Ferns.;ARD:11836:hC34:S19.2E:27500:501:502=deu:504:0:28110:1:1101:0
 WDR Köln;ARD:11836:hC34:S19.2E:27500:601:602=deu:604:0:28111:1:1101:0
-BR-alpha;ARD:11836:hC34:S19.2E:27500:701:702=deu;703:704:0:28112:1:1101:0
+BR-alpha;ARD:11836:hC34:S19.2E:27500:701:702=deu:704:0:28112:1:1101:0
 SÜDWEST Ferns. BW;ARD:11836:hC34:S19.2E:27500:801:802=deu:804:0:28113:1:1101:0
 Phoenix;ARD:11836:hC34:S19.2E:27500:901:902=deu:904:0:28114:1:1101:0
 ZDF;ZDFvision:11953:hC34:S19.2E:27500:110:120=deu,121=2ch;125=dd:130:0:28006:1:1079:0
-3sat;ZDFvision:11953:hC34:S19.2E:27500:210:220=deu,221=2ch:230:0:28007:1:1079:0
+3sat;ZDFvision:11953:hC34:S19.2E:27500:210:220=deu,221=2ch;225=dd:230:0:28007:1:1079:0
 KiKa;ZDFvision:11953:hC34:S19.2E:27500:310:320=deu:330:0:28008:1:1079:0
 arte;ARD:11836:hC34:S19.2E:27500:401:402=deu,403=fra:404:0:28109:1:1101:0
-ORF1;ORF:12692:hC56:S19.2E:22000:160:161=deu;163=deu:165:1762,D05,1702,1801:13001:1:1117:0
-ORF2;ORF:12692:hC56:S19.2E:22000:500:501=deu;503=deu:505:1762,D05,1702,1801:13002:1:1117:0
+ORF1;ORF:12692:hC56:S19.2E:22000:160:161=deu;163=deu:165:3:13001:1:1117:0
+ORF2;ORF:12692:hC56:S19.2E:22000:500:501=deu;503=deu:505:3:13002:1:1117:0
 ZDFinfokanal;ZDFvision:11953:hC34:S19.2E:27500:610:620=deu:130:0:28011:1:1079:0
 CNN Int.;CNN:11778:vC34:S19.2E:27500:165:100=eng:47:0:28522:1:1068:0
 Super RTL,S RTL;RTL World:12187:hC34:S19.2E:27500:165:120=deu:65:0:12040:1:1089:0
@@ -27,7 +27,7 @@
 HSE24,HSE24;BetaDigital:12480:vC34:S19.2E:27500:1279:1280=deu:37:0:40:133:33:0
 Bloomberg TV Germany;Bloomberg:12551:vC56:S19.2E:22000:162:99=deu:0:0:12160:1:1108:0
 EURONEWS;CSAT:11817:vC34:S19.2E:27500:163:92=fra,93=eng,94=ita,95=esl,91=rus,98=por,99=deu:0:0:8004:1:1070:0
-rbb Brandenburg;ARD:12109:hC34:S19.2E:27500:601:602=deu:604:0:28205:1:1073:0
+rbb Brandenburg;ARD:12109:hC34:S19.2E:27500:501:502=deu:504:0:28205:1:1073:0
 Sky News:11597:vC56:S19.2E:22000:305+131:306=eng:0:0:28707:1:1026:0
 Veronica/JETIX;CANALDIGITAAL:12574:hC56:S19.2E:22000:518+8190:92=dut:38:622,100:5020:53:1109:0
 BVN;CANALDIGITAAL:12574:hC56:S19.2E:22000:515+8190:96=dut:36:0:5025:53:1109:0
@@ -44,9 +44,9 @@
 rbb Berlin;ARD:12109:hC34:S19.2E:27500:601:602=deu:604:0:28206:1:1073:0
 :Premiere World
 PREMIERE START,START;PREMIERE:11797:hC34:S19.2E:27500:255:256=deu:32:1:8:133:2:0
-PREMIERE 1,PREM 1;PREMIERE:11797:hC34:S19.2E:27500:511:512=deu,513=deu;515=deu:32:1722,1702,1801:10:133:2:0
+PREMIERE 1,PREM 1;PREMIERE:11797:hC34:S19.2E:27500:511:512=deu,513=deu;515=deu:32:1:10:133:2:0
 PREMIERE 2,PREM 2;PREMIERE:11797:hC34:S19.2E:27500:1791:1792=deu,1793=deu;1795=deu:32:1801,1722,1702:11:133:2:0
-PREMIERE 3,PREM 3;PREMIERE:11797:hC34:S19.2E:27500:2303:2304=deu:32:1722,1801,1702:43:133:2:0
+PREMIERE 3,PREM 3;PREMIERE:11797:hC34:S19.2E:27500:2303:2304=deu,2305=deu:32:1722,1801,1702:43:133:2:0
 PREMIERE 4,PREM 4;PREMIERE:11797:hC34:S19.2E:27500:767:768=deu:32:1801,1722,1702:9:133:2:0
 PREMIERE 5,PREM 5;PREMIERE:11797:hC34:S19.2E:27500:1279:1280=deu:32:1722,1801,1702:29:133:2:0
 PREMIERE 6,PREM 6;PREMIERE:11797:hC34:S19.2E:27500:1535:1536=deu:32:1702,1801,1722:41:133:2:0
@@ -108,7 +108,7 @@
 Sky Cinema 2;BSkyB:12285:vC23:S28.2E:27500:517+8190:645=eng,665=NAR:581:960,961:4802:2:2030:0
 :@900 Some 'seed' channels
 Chelsea TV;BskyB:11778:vC23:S28.2E:27500:2308+2304:2309=eng:0:960,961:9307:2:2004:0
-WDR Münster;ARD:12421:hC34:S19.2E:27500:101:102=deu:104:0:28310:1:1201:0
+WDR Münster;ARD:12421:hC34:S19.2E:27500:701:702=deu:104:0:28310:1:1201:0
 Animal Plnt+;BSkyB:12070:hC23:S28.2E:27500:2314+2307:2315=eng:0:960,961:50002:2:2019:0
 S1T;BSkyB:12285:vC23:S28.2E:27500:513+8190:641=eng,661=NAR:577:960,961:4409:2:2030:0
 CNN;BSkyB:12051:vC23:S28.2E:27500:2313:2315=eng:2314:0:7140:2:2018:0
diff -ruN vdr-1.3.30/config.h vdr-1.3.31/config.h
--- vdr-1.3.30/config.h	2005-08-20 12:29:35.000000000 +0200
+++ vdr-1.3.31/config.h	2005-08-26 14:28:40.000000000 +0200
@@ -4,7 +4,7 @@
  * See the main source file 'vdr.c' for copyright information and
  * how to reach the author.
  *
- * $Id: config.h 1.224 2005/08/20 10:29:35 kls Exp $
+ * $Id: config.h 1.225 2005/08/26 12:28:40 kls Exp $
  */
 
 #ifndef __CONFIG_H
@@ -20,8 +20,8 @@
 #include "i18n.h"
 #include "tools.h"
 
-#define VDRVERSION  "1.3.30"
-#define VDRVERSNUM   10330  // Version * 10000 + Major * 100 + Minor
+#define VDRVERSION  "1.3.31"
+#define VDRVERSNUM   10331  // Version * 10000 + Major * 100 + Minor
 
 #define MAXPRIORITY 99
 #define MAXLIFETIME 99
diff -ruN vdr-1.3.30/device.c vdr-1.3.31/device.c
--- vdr-1.3.30/device.c	2005-08-21 10:56:49.000000000 +0200
+++ vdr-1.3.31/device.c	2005-08-27 11:01:09.000000000 +0200
@@ -4,7 +4,7 @@
  * See the main source file 'vdr.c' for copyright information and
  * how to reach the author.
  *
- * $Id: device.c 1.106 2005/08/21 08:56:49 kls Exp $
+ * $Id: device.c 1.107 2005/08/27 09:01:09 kls Exp $
  */
 
 #include "device.h"
@@ -139,7 +139,6 @@
 
 // The default priority for non-primary devices:
 #define DEFAULTPRIORITY  -1
-#define TUNER_LOCK_TIMEOUT 5000 // ms
 
 int cDevice::numDevices = 0;
 int cDevice::useDevice = 0;
@@ -1186,10 +1185,6 @@
      return false;
   if (Receiver->device == this)
      return true;
-  if (!HasLock(TUNER_LOCK_TIMEOUT)) {
-     esyslog("ERROR: device %d has no lock, can't attach receiver!", CardIndex() + 1);
-     return false;
-     }
   cMutexLock MutexLock(&mutexReceiver);
   for (int i = 0; i < MAXRECEIVERS; i++) {
       if (!receiver[i]) {
diff -ruN vdr-1.3.30/eitscan.c vdr-1.3.31/eitscan.c
--- vdr-1.3.30/eitscan.c	2005-08-07 13:29:54.000000000 +0200
+++ vdr-1.3.31/eitscan.c	2005-08-26 17:37:06.000000000 +0200
@@ -4,7 +4,7 @@
  * See the main source file 'vdr.c' for copyright information and
  * how to reach the author.
  *
- * $Id: eitscan.c 1.27 2005/08/07 11:29:54 kls Exp $
+ * $Id: eitscan.c 1.28 2005/08/26 15:37:06 kls Exp $
  */
 
 #include "eitscan.h"
@@ -150,7 +150,7 @@
                          if (!Channel->Ca() || Channel->Ca() == Device->DeviceNumber() + 1 || Channel->Ca() >= 0x0100) {
                             if (Device->ProvidesTransponder(Channel)) {
                                if (!Device->Receiving()) {
-                                  bool IsPrimaryDeviceReplaying = Device == cDevice::PrimaryDevice() && Device->Replaying();
+                                  bool IsPrimaryDeviceReplaying = Device == cDevice::PrimaryDevice() && Device->Replaying() && cTransferControl::ReceiverDevice() != cDevice::PrimaryDevice();
                                   if (Device != cDevice::ActualDevice() || (Device->ProvidesTransponderExclusively(Channel) && (IsPrimaryDeviceReplaying || now - lastActivity > Setup.EPGScanTimeout * 3600))) {
                                      if (!IsPrimaryDeviceReplaying && Device == cDevice::ActualDevice() && !currentChannel) {
                                         if (cTransferControl::ReceiverDevice())
diff -ruN vdr-1.3.30/i18n.c vdr-1.3.31/i18n.c
--- vdr-1.3.30/i18n.c	2005-08-14 14:03:47.000000000 +0200
+++ vdr-1.3.31/i18n.c	2005-08-26 15:39:07.000000000 +0200
@@ -4,7 +4,7 @@
  * See the main source file 'vdr.c' for copyright information and
  * how to reach the author.
  *
- * $Id: i18n.c 1.198 2005/08/14 12:03:47 kls Exp $
+ * $Id: i18n.c 1.200 2005/08/26 13:39:07 kls Exp $
  *
  * Translations provided by:
  *
@@ -271,7 +271,7 @@
     "",// TODO
     "",// TODO
     "",// TODO
-    "",// TODO
+    "Optagelses info",
   },
   { "Setup",
     "Einstellungen",
@@ -2924,7 +2924,7 @@
     "¿àÞÚàãâÚÐ áâàÐÝØæ ÜÕÝî",
     "Listaj po stranicama",
     "Lehekülje kerimine",
-    "Rul sider",
+    "Scroll sidevis",
   },
   { "Setup.OSD$Scroll wraps",
     "Rundum scrollen",
@@ -2945,7 +2945,7 @@
     "",// TODO
     "S kraja skoèi na poèetak",
     "",// TODO
-    "",// TODO
+    "Scroll rundt",
   },
   { "Setup.OSD$Sort timers",
     "Timer sortieren",
@@ -3389,7 +3389,7 @@
     "tilf. ny transp.",
   },
   { "Setup.DVB$Audio languages",  // note the plural
-    "",//TODO
+    "Audio Sprachen",
     "",//TODO
     "",//TODO
     "Audio talen",
@@ -3410,7 +3410,7 @@
     "Audio sprog (ant.)",
   },
   { "Setup.DVB$Audio language",  // note the singular
-    "",//TODO
+    "Audio Sprache",
     "",//TODO
     "",//TODO
     "Audio taal",
@@ -5407,7 +5407,7 @@
     "",// TODO
     "Bez titla",
     "",// TODO
-    "",// TODO
+    "Ingen titel",
   },
   { NULL }
   };
diff -ruN vdr-1.3.30/menu.c vdr-1.3.31/menu.c
--- vdr-1.3.30/menu.c	2005-08-14 17:14:29.000000000 +0200
+++ vdr-1.3.31/menu.c	2005-08-27 11:37:23.000000000 +0200
@@ -4,7 +4,7 @@
  * See the main source file 'vdr.c' for copyright information and
  * how to reach the author.
  *
- * $Id: menu.c 1.355 2005/08/14 15:14:29 kls Exp $
+ * $Id: menu.c 1.357 2005/08/27 09:37:23 kls Exp $
  */
 
 #include "menu.h"
@@ -19,7 +19,6 @@
 #include "eitscan.h"
 #include "i18n.h"
 #include "interface.h"
-#include "menuitems.h"
 #include "plugin.h"
 #include "recording.h"
 #include "remote.h"
@@ -605,20 +604,6 @@
 
 // --- cMenuEditTimer --------------------------------------------------------
 
-class cMenuEditTimer : public cOsdMenu {
-private:
-  cTimer *timer;
-  cTimer data;
-  int channel;
-  bool addIfConfirmed;
-  cMenuEditDateItem *firstday;
-  void SetFirstDayItem(void);
-public:
-  cMenuEditTimer(cTimer *Timer, bool New = false);
-  virtual ~cMenuEditTimer();
-  virtual eOSState ProcessKey(eKeys Key);
-  };
-
 cMenuEditTimer::cMenuEditTimer(cTimer *Timer, bool New)
 :cOsdMenu(tr("Edit timer"), 12)
 {
@@ -904,15 +889,6 @@
 
 // --- cMenuEvent ------------------------------------------------------------
 
-class cMenuEvent : public cOsdMenu {
-private:
-  const cEvent *event;
-public:
-  cMenuEvent(const cEvent *Event, bool CanSwitch = false);
-  virtual void Display(void);
-  virtual eOSState ProcessKey(eKeys Key);
-};
-
 cMenuEvent::cMenuEvent(const cEvent *Event, bool CanSwitch)
 :cOsdMenu(tr("Event"))
 {
@@ -2122,11 +2098,28 @@
 
 // --- cMenuSetupCICAM -------------------------------------------------------
 
+class cMenuSetupCICAMItem : public cOsdItem {
+private:
+  cCiHandler *ciHandler;
+  int slot;
+public:
+  cMenuSetupCICAMItem(int Device, cCiHandler *CiHandler, int Slot);
+  cCiHandler *CiHandler(void) { return ciHandler; }
+  int Slot(void) { return slot; }
+  };
+
+cMenuSetupCICAMItem::cMenuSetupCICAMItem(int Device, cCiHandler *CiHandler, int Slot)
+{
+  ciHandler = CiHandler;
+  slot = Slot;
+  char buffer[32];
+  const char *CamName = CiHandler->GetCamName(slot);
+  snprintf(buffer, sizeof(buffer), "%s%d %d\t%s", tr("Setup.CICAM$CICAM DVB"), Device + 1, slot + 1, CamName ? CamName : "-");
+  SetText(buffer);
+}
+
 class cMenuSetupCICAM : public cMenuSetupBase {
 private:
-  int helpKeys;
-  void SetHelpKeys(void);
-  cCiHandler *GetCurrentCiHandler(int *Slot = NULL);
   eOSState Menu(void);
   eOSState Reset(void);
 public:
@@ -2136,66 +2129,43 @@
 
 cMenuSetupCICAM::cMenuSetupCICAM(void)
 {
-  helpKeys = -1;
   SetSection(tr("CICAM"));
   for (int d = 0; d < cDevice::NumDevices(); d++) {
       cDevice *Device = cDevice::GetDevice(d);
-      cCiHandler *CiHandler = Device->CiHandler();
-      for (int Slot = 0; Slot < 2; Slot++) {
-          char buffer[32];
-          int CardIndex = Device->CardIndex();
-          const char *CamName = CiHandler ? CiHandler->GetCamName(Slot) : NULL;
-          if (!CamName)
-             CamName = "-";
-          snprintf(buffer, sizeof(buffer), "%s%d %d\t%s", tr("Setup.CICAM$CICAM DVB"), CardIndex + 1, Slot + 1, CamName);
-          Add(new cOsdItem(buffer));
-          }
+      if (Device) {
+         cCiHandler *CiHandler = Device->CiHandler();
+         if (CiHandler) {
+            for (int Slot = 0; Slot < CiHandler->NumSlots(); Slot++)
+                Add(new cMenuSetupCICAMItem(Device->CardIndex(), CiHandler, Slot));
+            }
+         }
       }
-  SetHelpKeys();
-}
-
-cCiHandler *cMenuSetupCICAM::GetCurrentCiHandler(int *Slot)
-{
-  cDevice *Device = cDevice::GetDevice(Current() / 2);
-  if (Slot)
-     *Slot = Current() % 2;
-  return Device ? Device->CiHandler() : NULL;
-}
-
-void cMenuSetupCICAM::SetHelpKeys(void)
-{
-  int NewHelpKeys = helpKeys;
-  NewHelpKeys = GetCurrentCiHandler() ? 1 : 0;
-  if (NewHelpKeys != helpKeys) {
-     switch (NewHelpKeys) {
-       case 0: SetHelp(NULL); break;
-       case 1: SetHelp(tr("Menu"), tr("Reset"));
-       }
-     helpKeys = NewHelpKeys;
-     }
+  SetHelp(tr("Menu"), tr("Reset"));
 }
 
 eOSState cMenuSetupCICAM::Menu(void)
 {
-  int Slot = 0;
-  cCiHandler *CiHandler = GetCurrentCiHandler(&Slot);
-  if (CiHandler && CiHandler->EnterMenu(Slot))
-     return osEnd; // the CAM menu will be executed explicitly from the main loop
-  else
-     Skins.Message(mtError, tr("Can't open CAM menu!"));
+  cMenuSetupCICAMItem *item = (cMenuSetupCICAMItem *)Get(Current());
+  if (item) {
+     if (item->CiHandler()->EnterMenu(item->Slot()))
+        return osEnd; // the CAM menu will be executed explicitly from the main loop
+     else
+        Skins.Message(mtError, tr("Can't open CAM menu!"));
+     }
   return osContinue;
 }
 
 eOSState cMenuSetupCICAM::Reset(void)
 {
-  int Slot = 0;
-  cCiHandler *CiHandler = GetCurrentCiHandler(&Slot);
-  if (CiHandler && CiHandler->Reset(Slot)) {
-     Skins.Message(mtInfo, tr("CAM has been reset"));
-     return osEnd;
+  cMenuSetupCICAMItem *item = (cMenuSetupCICAMItem *)Get(Current());
+  if (item) {
+     if (item->CiHandler()->Reset(item->Slot())) {
+        Skins.Message(mtInfo, tr("CAM has been reset"));
+        return osEnd;
+        }
+     else
+        Skins.Message(mtError, tr("Can't reset CAM!"));
      }
-  else
-     Skins.Message(mtError, tr("Can't reset CAM!"));
   return osContinue;
 }
 
@@ -2205,17 +2175,11 @@
 
   if (state == osUnknown) {
      switch (Key) {
-       case kRed:    if (helpKeys == 1)
-                        return Menu();
-                     break;
-       case kGreen:  if (helpKeys == 1)
-                        return Reset();
-                     break;
+       case kRed:    return Menu();
+       case kGreen:  return Reset();
        default: break;
        }
      }
-  if (Key != kNone)
-     SetHelpKeys();
   return state;
 }
 
diff -ruN vdr-1.3.30/menu.h vdr-1.3.31/menu.h
--- vdr-1.3.30/menu.h	2005-05-15 16:34:54.000000000 +0200
+++ vdr-1.3.31/menu.h	2005-08-27 11:37:33.000000000 +0200
@@ -4,7 +4,7 @@
  * See the main source file 'vdr.c' for copyright information and
  * how to reach the author.
  *
- * $Id: menu.h 1.70 2005/05/15 14:34:54 kls Exp $
+ * $Id: menu.h 1.71 2005/08/27 09:37:33 kls Exp $
  */
 
 #ifndef __MENU_H
@@ -15,6 +15,7 @@
 #include "epg.h"
 #include "osdbase.h"
 #include "dvbplayer.h"
+#include "menuitems.h"
 #include "recorder.h"
 #include "skins.h"
 
@@ -29,6 +30,29 @@
   virtual eOSState ProcessKey(eKeys Key);
   };
 
+class cMenuEditTimer : public cOsdMenu {
+private:
+  cTimer *timer;
+  cTimer data;
+  int channel;
+  bool addIfConfirmed;
+  cMenuEditDateItem *firstday;
+  void SetFirstDayItem(void);
+public:
+  cMenuEditTimer(cTimer *Timer, bool New = false);
+  virtual ~cMenuEditTimer();
+  virtual eOSState ProcessKey(eKeys Key);
+  };
+
+class cMenuEvent : public cOsdMenu {
+private:
+  const cEvent *event;
+public:
+  cMenuEvent(const cEvent *Event, bool CanSwitch = false);
+  virtual void Display(void);
+  virtual eOSState ProcessKey(eKeys Key);
+  };
+
 class cMenuMain : public cOsdMenu {
 private:
   time_t lastActivity;
diff -ruN vdr-1.3.30/newplugin vdr-1.3.31/newplugin
--- vdr-1.3.30/newplugin	2005-08-21 11:32:08.000000000 +0200
+++ vdr-1.3.31/newplugin	2005-08-27 18:13:29.000000000 +0200
@@ -12,7 +12,7 @@
 # See the main source file 'vdr.c' for copyright information and
 # how to reach the author.
 #
-# $Id: newplugin 1.19 2005/08/21 09:32:08 kls Exp $
+# $Id: newplugin 1.20 2005/08/27 16:13:29 kls Exp $
 
 $PLUGIN_NAME = $ARGV[0] || die "Usage: newplugin <name>\n";
 
@@ -171,6 +171,8 @@
   virtual cMenuSetupPage *SetupMenu(void);
   virtual bool SetupParse(const char *Name, const char *Value);
   virtual bool Service(const char *Id, void *Data = NULL);
+  virtual const char **SVDRPHelpPages(void);
+  virtual cString SVDRPCommand(const char *Command, const char *Option, int &ReplyCode);
   };
 
 cPlugin${PLUGIN_CLASS}::cPlugin$PLUGIN_CLASS(void)
@@ -243,6 +245,18 @@
   return false;
 }
 
+const char **cPlugin${PLUGIN_CLASS}::SVDRPHelpPages(vo<F3>id)
+{
+  // Return help text for SVDRP commands this plugin implements
+  return NULL;
+}
+
+const char *cPlugin${PLUGIN_CLASS}::SVDRPCommand(const char *Command, const char *Option, int &ReplyCode)
+{
+  // Process SVDRP commands this plugin implements
+  return NULL;
+}
+
 VDRPLUGINCREATOR(cPlugin$PLUGIN_CLASS); // Don't touch this!
 };
 
diff -ruN vdr-1.3.30/plugin.c vdr-1.3.31/plugin.c
--- vdr-1.3.30/plugin.c	2005-08-21 11:35:28.000000000 +0200
+++ vdr-1.3.31/plugin.c	2005-08-27 18:13:24.000000000 +0200
@@ -4,7 +4,7 @@
  * See the main source file 'vdr.c' for copyright information and
  * how to reach the author.
  *
- * $Id: plugin.c 1.14 2005/08/21 09:35:28 kls Exp $
+ * $Id: plugin.c 1.15 2005/08/27 16:13:24 kls Exp $
  */
 
 #include "plugin.h"
@@ -104,6 +104,16 @@
   return false;
 }
 
+const char **cPlugin::SVDRPHelpPages(void)
+{
+  return NULL;
+}
+
+cString cPlugin::SVDRPCommand(const char *Command, const char *Option, int &ReplyCode)
+{
+  return NULL;
+}
+
 void cPlugin::RegisterI18n(const tI18nPhrase * const Phrases)
 {
   I18nRegister(Phrases, Name());
diff -ruN vdr-1.3.30/plugin.h vdr-1.3.31/plugin.h
--- vdr-1.3.30/plugin.h	2005-08-21 11:32:08.000000000 +0200
+++ vdr-1.3.31/plugin.h	2005-08-27 18:13:17.000000000 +0200
@@ -4,7 +4,7 @@
  * See the main source file 'vdr.c' for copyright information and
  * how to reach the author.
  *
- * $Id: plugin.h 1.9 2005/08/21 09:32:08 kls Exp $
+ * $Id: plugin.h 1.10 2005/08/27 16:13:17 kls Exp $
  */
 
 #ifndef __PLUGIN_H
@@ -51,6 +51,8 @@
   void RegisterI18n(const tI18nPhrase * const Phrases);
 
   virtual bool Service(const char *Id, void *Data = NULL);
+  virtual const char **SVDRPHelpPages(void);
+  virtual cString SVDRPCommand(const char *Command, const char *Option, int &ReplyCode);
 
   static void SetConfigDirectory(const char *Dir);
   static const char *ConfigDirectory(const char *PluginName = NULL);
